/* Project: Robotik-Praktikum - "Rug Warrior"                                                                              */
/* File   : "SOUND.C"                                                                                                      */
/* Author : Lars Ferner                                                                                                    */
/* Date   : 96-06-30 / 96-06-30                                                                                            */
/* Notes  : Ein paar "Publikumseffekte"                                                                                    */


void s_up( void )
/*  */
{
	/* Local variables                                                                                                      */
	
	int i;
	
	
	for ( i = 0; i < 15; i++ )
		tone( 150.0 + (float) i * 75.0, 70 );
}

void s_down( void )
/*  */
{
	/* Local variables                                                                                                      */
	
	int i;
	
	
	for ( i = 15; i > 0; i-- )
		tone( 150.0 + (float) i * 75.0, 70 );
}

void s_up_fast( void )
/*  */
{
	/* Local variables                                                                                                      */
	
	int i;
	
	
	for ( i = 0; i < 15; i++ )
		tone( 150.0 + (float) i * 75.0, 40 );
}

void s_down_fast( void )
/*  */
{
	/* Local variables                                                                                                      */
	
	int i;
	
	
	for ( i = 15; i > 0; i-- )
		tone( 150.0 + (float) i * 75.0, 40 );
}

void s_up_down( void )
/*  */
{
	s_up();
	s_down();
	s_up_fast();
	s_down_fast();
}

void s_3_up_down_fast( void )
/*  */
{
	/* Local variables                                                                                                      */
	
	int i;
	
	
	for ( i = 0; i < 3; i++ )
	{
		s_up_fast();
		s_down_fast();
	}
}

void s_im_sad( void )
/*  */
{
	tone( 100.0, 250 );
	tone(  80.0, 500 );
}

void s_error( void )
/*  */
{
	tone(  50.0, 1000 );
}

void s_whistle_1( void )
/*  */
{
	tone(  900.0, 200 );
	tone( 1100.0, 400 );
	tone(  700.0, 500 );
}

void s_whistle_2( void )
/*  */
{
	tone( 1000.0, 100 );
	s_down();
	tone(  225.0, 500 );
}

